
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinManufactureInfo.xaml
//文件描述: WinManufactureInfo.xaml
//创 建 者: xls
//创建日期: 2018/5/23 23:22:04
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using System.Windows.Input;
using Com.FirmLib.UI.BllCommon;
using FWindSoft.Wpf;
using FWindSoft.Wpf.Controls;

namespace Com.FirmLib.UI.Manufacturer
{
    /// <summary>
    /// WinManufactureInfo.xaml 的交互逻辑
    /// </summary>
    public partial class WinManufactureInfo : NChildWindow
    {
        private VmManufactureInfo m_Vm;

        public WinManufactureInfo() : this(new VmManufactureInfo())
        {

        }

        public WinManufactureInfo(VmManufactureInfo vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
            this.CommandBindings.Add(new CommandBinding(EditCommands.SingleUpdate, SingleUpdate));
            EveryTimeLoad = true;
           
        }
        protected override void LoadData(LoadParameter parameter)
        {
            //初始化列表数据
           TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
            //加载醒目信息
            this.Title = this.m_Vm.ManufactureName;
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
                //if (Execute())
                //{
                //    MessageShow.Infomation("");
                //    DialogResult = true;
                //}
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion

        #region 命令绑定相关
        void SingleUpdate(object sender, ExecutedRoutedEventArgs e)
        {
            TextBoxEditor editor = e.Parameter as TextBoxEditor;
            if (editor == null)
                return;
            bool result= this.m_Vm.UpdateManufacture();
            if (!result)
            {
                //editor.Focus();
                editor.IsEditing = true;
            }
            
            
        }
        #endregion
    }
}
